#!/usr/local/bin/perl
# Author : Binny V A
# Website: http://www.geocities.com/binnyva
# E-Mail : binnyva@hotmail.com
# Get more Perl scripts from http://www.geocities.com/binnyva/code/perl
# Made for Perl Tutorial at http://www.geocities.com/binnyva/code/perl/tutorial/
use strict;
use CGI;

my $cgi = new CGI;

# Get input
my $name    = $cgi -> param('name');
my $email   = $cgi -> param('email');
my $loc     = $cgi -> param('loc');
my $comments= $cgi -> param('comments');

#Give output - create HTML using CGI module.
print $cgi -> header,
	$cgi -> start_html('GuestBook Result'),
	$cgi -> h1("Guest book Results");
print "<p>Dear $name,<br>
Thank You for filling out our Guest Book.
I appreciate this effort in your part.</p>";

print $cgi -> table(
	$cgi -> Tr( $cgi -> td(['Name',"$name"]) ),
	$cgi -> Tr( $cgi -> td(['E-Mail',
		"<a href=\"mailto:$email\">$email</a>"]) ),
	$cgi -> Tr( $cgi -> td(['Location',"$name"]) ),
	$cgi -> Tr( $cgi -> td(['Comments',"$name"]) )
);
print $cgi -> end_html;

# Open Guest Book File
open (FILE, ">>guests.txt") || die "Can't open guests.txt: $!\n";
#Write the information to the file
print FILE "$name came from $loc.";
print FILE "E-mail address is $email.";
print FILE "Comments : $comments\n"; 
close(FILE);